# xarray.ufuncs.iscomplex

`xarray.ufuncs.``iscomplex` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.iscomplex. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  > Returns a bool array, where True if input element is complex.

  > What is tested is whether the input has a non-zero imaginary part, not if the input type is complex.

  Parameters:

  x : array_like

  > Input array.

  Returns:

  out : ndarray of bools

  > Output array.

  See also

  `iscomplexobj`
    Return True if x is a complex type or an array of complex numbers.

  Examples

      >>> np.iscomplex([1+1j, 1+0j, 4.5, 3, 2, 2j])
      array([ True, False, False, False, False,  True], dtype=bool)